﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.ApplicationModel.DataTransfer;

namespace VSMWinRTDemo.UI.ViewModel
{
    public class SharedFeed
    {
        public string Title { get; set; }
        public string Description { get; set; }
        public string Url { get; set; }

        public SharedFeed()
        {
        }

        public SharedFeed(DataPackage dataPackage)
        {
            bool containsUri;
            dataPackage.Contains(StandardDataFormats.Uri, out containsUri);
            this.Title = dataPackage.Properties.Title;
            this.Description = dataPackage.Properties.Description;

            if (containsUri)
            {
                Uri feedUri = dataPackage.GetUri();

                if (!String.IsNullOrWhiteSpace(feedUri.AbsoluteUri))
                {
                    this.Url = feedUri.AbsoluteUri;
                }
            }
        }
    }
}
